---
Tournament:
  name: Northern Ohio Regional Tournament
  short name: Northern Ohio Regional
  location: Rocky River High School
  state: OH
  level: Regionals
  division: C
  year: 2025
  bids: 6
  start date: 2025-03-08
  end date: 2025-03-08
  awards date: 2025-03-08
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Robot Tour
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 29
  school: Westlake High School
  city: Westlake
  state: OH
- number: 27
  school: St. Ignatius High School
  state: OH
- number: 17
  school: North Royalton High School
  city: North Royalton
  state: OH
- number: 25
  school: St. Edward High School
  city: Lakewood
  state: OH
- number: 20
  school: Rocky River High School
  city: Rocky River
  state: OH
- number: 4
  school: Brecksville-Broadview Heights High School
  city: Broadview Heights
  state: OH
- number: 30
  school: Westlake High School
  city: Westlake
  state: OH
- number: 18
  school: North Royalton High School
  city: North Royalton
  state: OH
- number: 14
  school: Medina High School
  city: Medina
  state: OH
- number: 21
  school: Rocky River High School
  city: Rocky River
  state: OH
- number: 26
  school: St. Edward High School
  city: Lakewood
  state: OH
- number: 28
  school: St. Ignatius High School
  state: OH
Placings:
- team: 29
  event: Air Trajectory
  place: 4
- team: 29
  event: Anatomy and Physiology
  place: 4
- team: 29
  event: Astronomy
  place: 3
- team: 29
  event: Bungee Drop
  place: 4
- team: 29
  event: Chemistry Lab
  place: 1
- team: 29
  event: Codebusters
  place: 1
- team: 29
  event: Disease Detectives
  place: 2
- team: 29
  event: Dynamic Planet
  place: 3
- team: 29
  event: Ecology
  place: 2
- team: 29
  event: Electric Vehicle
  place: 2
- team: 29
  event: Entomology
  place: 1
- team: 29
  event: Experimental Design
  place: 1
- team: 29
  event: Forensics
  place: 1
- team: 29
  event: Fossils
  place: 1
- team: 29
  event: Geologic Mapping
  place: 3
- team: 29
  event: Helicopter
  place: 7
- team: 29
  event: Materials Science
  place: 1
- team: 29
  event: Microbe Mission
  place: 2
- team: 29
  event: Optics
  place: 4
- team: 29
  event: Robot Tour
  place: 7
- team: 29
  event: Tower
  place: 4
- team: 29
  event: Wind Power
  place: 1
- team: 29
  event: Write It Do It
  place: 6
- team: 27
  event: Air Trajectory
  place: 2
- team: 27
  event: Anatomy and Physiology
  place: 6
- team: 27
  event: Astronomy
  place: 2
- team: 27
  event: Bungee Drop
  place: 3
- team: 27
  event: Chemistry Lab
  place: 6
- team: 27
  event: Codebusters
  place: 6
- team: 27
  event: Disease Detectives
  place: 1
- team: 27
  event: Dynamic Planet
  place: 1
- team: 27
  event: Ecology
  place: 8
- team: 27
  event: Electric Vehicle
  place: 5
- team: 27
  event: Entomology
  place: 3
- team: 27
  event: Experimental Design
  place: 5
- team: 27
  event: Forensics
  place: 2
- team: 27
  event: Fossils
  place: 2
- team: 27
  event: Geologic Mapping
  place: 4
- team: 27
  event: Helicopter
  place: 4
- team: 27
  event: Materials Science
  place: 7
- team: 27
  event: Microbe Mission
  place: 1
- team: 27
  event: Optics
  place: 10
- team: 27
  event: Robot Tour
  place: 3
- team: 27
  event: Tower
  place: 1
- team: 27
  event: Wind Power
  place: 5
- team: 27
  event: Write It Do It
  place: 2
- team: 17
  event: Air Trajectory
  place: 8
- team: 17
  event: Anatomy and Physiology
  place: 5
- team: 17
  event: Astronomy
  place: 1
- team: 17
  event: Bungee Drop
  place: 1
- team: 17
  event: Chemistry Lab
  place: 5
- team: 17
  event: Codebusters
  place: 2
- team: 17
  event: Disease Detectives
  place: 9
- team: 17
  event: Dynamic Planet
  place: 8
- team: 17
  event: Ecology
  place: 4
- team: 17
  event: Electric Vehicle
  place: 4
- team: 17
  event: Entomology
  place: 2
- team: 17
  event: Experimental Design
  place: 9
- team: 17
  event: Forensics
  place: 5
- team: 17
  event: Fossils
  place: 3
- team: 17
  event: Geologic Mapping
  place: 1
- team: 17
  event: Helicopter
  place: 6
- team: 17
  event: Materials Science
  place: 3
- team: 17
  event: Microbe Mission
  place: 8
- team: 17
  event: Optics
  place: 1
- team: 17
  event: Robot Tour
  place: 1
- team: 17
  event: Tower
  place: 6
- team: 17
  event: Wind Power
  place: 4
- team: 17
  event: Write It Do It
  place: 4
- team: 25
  event: Air Trajectory
  place: 6
- team: 25
  event: Anatomy and Physiology
  place: 2
- team: 25
  event: Astronomy
  place: 7
- team: 25
  event: Bungee Drop
  place: 2
- team: 25
  event: Chemistry Lab
  place: 3
- team: 25
  event: Codebusters
  place: 3
- team: 25
  event: Disease Detectives
  place: 3
- team: 25
  event: Dynamic Planet
  place: 5
- team: 25
  event: Ecology
  place: 3
- team: 25
  event: Electric Vehicle
  place: 7
- team: 25
  event: Entomology
  place: 4
- team: 25
  event: Experimental Design
  place: 2
- team: 25
  event: Forensics
  place: 7
- team: 25
  event: Fossils
  place: 6
- team: 25
  event: Geologic Mapping
  place: 7
- team: 25
  event: Helicopter
  place: 9
- team: 25
  event: Materials Science
  place: 5
- team: 25
  event: Microbe Mission
  place: 3
- team: 25
  event: Optics
  place: 2
- team: 25
  event: Robot Tour
  place: 4
- team: 25
  event: Tower
  place: 5
- team: 25
  event: Wind Power
  place: 2
- team: 25
  event: Write It Do It
  place: 11
- team: 20
  event: Air Trajectory
  place: 1
- team: 20
  event: Anatomy and Physiology
  place: 1
- team: 20
  event: Astronomy
  place: 6
- team: 20
  event: Bungee Drop
  place: 8
- team: 20
  event: Chemistry Lab
  place: 4
- team: 20
  event: Codebusters
  place: 8
- team: 20
  event: Disease Detectives
  place: 4
- team: 20
  event: Dynamic Planet
  place: 9
- team: 20
  event: Ecology
  place: 10
- team: 20
  event: Electric Vehicle
  place: 8
- team: 20
  event: Entomology
  place: 8
- team: 20
  event: Experimental Design
  place: 4
- team: 20
  event: Forensics
  place: 6
- team: 20
  event: Fossils
  place: 8
- team: 20
  event: Geologic Mapping
  place: 8
- team: 20
  event: Helicopter
  place: 5
- team: 20
  event: Materials Science
  place: 4
- team: 20
  event: Microbe Mission
  place: 4
- team: 20
  event: Optics
  place: 3
- team: 20
  event: Robot Tour
  place: 2
- team: 20
  event: Tower
  place: 7
- team: 20
  event: Wind Power
  place: 7
- team: 20
  event: Write It Do It
  place: 3
- team: 4
  event: Air Trajectory
  place: 9
- team: 4
  event: Anatomy and Physiology
  place: 7
- team: 4
  event: Astronomy
  place: 4
- team: 4
  event: Bungee Drop
  place: 9
- team: 4
  event: Chemistry Lab
  place: 2
- team: 4
  event: Codebusters
  place: 7
- team: 4
  event: Disease Detectives
  place: 7
- team: 4
  event: Dynamic Planet
  place: 2
- team: 4
  event: Ecology
  place: 1
- team: 4
  event: Electric Vehicle
  place: 3
- team: 4
  event: Entomology
  place: 5
- team: 4
  event: Experimental Design
  place: 8
- team: 4
  event: Forensics
  place: 3
- team: 4
  event: Fossils
  place: 4
- team: 4
  event: Geologic Mapping
  place: 2
- team: 4
  event: Helicopter
  place: 2
- team: 4
  event: Materials Science
  place: 2
- team: 4
  event: Microbe Mission
  place: 7
- team: 4
  event: Optics
  place: 8
- team: 4
  event: Robot Tour
  place: 9
- team: 4
  event: Tower
  place: 10
- team: 4
  event: Wind Power
  place: 6
- team: 4
  event: Write It Do It
  place: 12
- team: 30
  event: Air Trajectory
  place: 7
- team: 30
  event: Anatomy and Physiology
  place: 10
- team: 30
  event: Astronomy
  place: 11
- team: 30
  event: Bungee Drop
  place: 5
- team: 30
  event: Chemistry Lab
  place: 10
- team: 30
  event: Codebusters
  place: 5
- team: 30
  event: Disease Detectives
  place: 5
- team: 30
  event: Dynamic Planet
  place: 4
- team: 30
  event: Ecology
  place: 6
- team: 30
  event: Electric Vehicle
  participated: false
- team: 30
  event: Entomology
  place: 7
- team: 30
  event: Experimental Design
  place: 3
- team: 30
  event: Forensics
  place: 8
- team: 30
  event: Fossils
  place: 5
- team: 30
  event: Geologic Mapping
  place: 5
- team: 30
  event: Helicopter
  place: 8
- team: 30
  event: Materials Science
  place: 10
- team: 30
  event: Microbe Mission
  place: 5
- team: 30
  event: Optics
  place: 9
- team: 30
  event: Robot Tour
  place: 8
- team: 30
  event: Tower
  place: 11
- team: 30
  event: Wind Power
  place: 3
- team: 30
  event: Write It Do It
  place: 9
- team: 18
  event: Air Trajectory
  place: 5
- team: 18
  event: Anatomy and Physiology
  place: 8
- team: 18
  event: Astronomy
  place: 9
- team: 18
  event: Bungee Drop
  place: 7
- team: 18
  event: Chemistry Lab
  place: 7
- team: 18
  event: Codebusters
  place: 10
- team: 18
  event: Disease Detectives
  place: 8
- team: 18
  event: Dynamic Planet
  place: 7
- team: 18
  event: Ecology
  place: 9
- team: 18
  event: Electric Vehicle
  place: 6
- team: 18
  event: Entomology
  place: 10
- team: 18
  event: Experimental Design
  place: 6
- team: 18
  event: Forensics
  place: 9
- team: 18
  event: Fossils
  place: 7
- team: 18
  event: Geologic Mapping
  place: 9
- team: 18
  event: Helicopter
  place: 3
- team: 18
  event: Materials Science
  place: 8
- team: 18
  event: Microbe Mission
  place: 6
- team: 18
  event: Optics
  place: 6
- team: 18
  event: Robot Tour
  place: 6
- team: 18
  event: Tower
  place: 8
- team: 18
  event: Wind Power
  place: 8
- team: 18
  event: Write It Do It
  place: 7
- team: 14
  event: Air Trajectory
  participated: false
- team: 14
  event: Anatomy and Physiology
  place: 11
- team: 14
  event: Astronomy
  place: 8
- team: 14
  event: Bungee Drop
  participated: false
- team: 14
  event: Chemistry Lab
  place: 9
- team: 14
  event: Codebusters
  place: 9
- team: 14
  event: Disease Detectives
  place: 10
- team: 14
  event: Dynamic Planet
  place: 10
- team: 14
  event: Ecology
  place: 5
- team: 14
  event: Electric Vehicle
  place: 9
- team: 14
  event: Entomology
  place: 6
- team: 14
  event: Experimental Design
  place: 10
- team: 14
  event: Forensics
  place: 4
- team: 14
  event: Fossils
  place: 10
- team: 14
  event: Geologic Mapping
  place: 6
- team: 14
  event: Helicopter
  place: 1
- team: 14
  event: Materials Science
  place: 6
- team: 14
  event: Microbe Mission
  place: 10
- team: 14
  event: Optics
  place: 7
- team: 14
  event: Robot Tour
  place: 5
- team: 14
  event: Tower
  place: 9
- team: 14
  event: Wind Power
  place: 9
- team: 14
  event: Write It Do It
  place: 1
- team: 21
  event: Air Trajectory
  place: 3
- team: 21
  event: Anatomy and Physiology
  place: 12
- team: 21
  event: Astronomy
  place: 10
- team: 21
  event: Bungee Drop
  place: 6
- team: 21
  event: Chemistry Lab
  place: 8
- team: 21
  event: Codebusters
  place: 11
- team: 21
  event: Disease Detectives
  place: 11
- team: 21
  event: Dynamic Planet
  place: 6
- team: 21
  event: Ecology
  place: 7
- team: 21
  event: Electric Vehicle
  place: 1
- team: 21
  event: Entomology
  place: 9
- team: 21
  event: Experimental Design
  place: 7
- team: 21
  event: Forensics
  place: 10
- team: 21
  event: Fossils
  place: 11
- team: 21
  event: Geologic Mapping
  place: 10
- team: 21
  event: Helicopter
  participated: false
- team: 21
  event: Materials Science
  place: 9
- team: 21
  event: Microbe Mission
  place: 11
- team: 21
  event: Optics
  place: 5
- team: 21
  event: Robot Tour
  participated: false
- team: 21
  event: Tower
  place: 2
- team: 21
  event: Wind Power
  place: 10
- team: 21
  event: Write It Do It
  place: 5
- team: 26
  event: Air Trajectory
  participated: false
- team: 26
  event: Anatomy and Physiology
  place: 9
- team: 26
  event: Astronomy
  place: 5
- team: 26
  event: Bungee Drop
  participated: false
- team: 26
  event: Chemistry Lab
  participated: false
- team: 26
  event: Codebusters
  place: 4
- team: 26
  event: Disease Detectives
  place: 6
- team: 26
  event: Dynamic Planet
  participated: false
- team: 26
  event: Ecology
  participated: false
- team: 26
  event: Electric Vehicle
  participated: false
- team: 26
  event: Entomology
  participated: false
- team: 26
  event: Experimental Design
  participated: false
- team: 26
  event: Forensics
  participated: false
- team: 26
  event: Fossils
  place: 9
- team: 26
  event: Geologic Mapping
  participated: false
- team: 26
  event: Helicopter
  participated: false
- team: 26
  event: Materials Science
  participated: false
- team: 26
  event: Microbe Mission
  place: 9
- team: 26
  event: Optics
  participated: false
- team: 26
  event: Robot Tour
  participated: false
- team: 26
  event: Tower
  participated: false
- team: 26
  event: Wind Power
  participated: false
- team: 26
  event: Write It Do It
  place: 8
- team: 28
  event: Air Trajectory
  participated: false
- team: 28
  event: Anatomy and Physiology
  place: 3
- team: 28
  event: Astronomy
  participated: false
- team: 28
  event: Bungee Drop
  participated: false
- team: 28
  event: Chemistry Lab
  participated: false
- team: 28
  event: Codebusters
  participated: false
- team: 28
  event: Disease Detectives
  participated: false
- team: 28
  event: Dynamic Planet
  participated: false
- team: 28
  event: Ecology
  place: 11
- team: 28
  event: Electric Vehicle
  participated: false
- team: 28
  event: Entomology
  participated: false
- team: 28
  event: Experimental Design
  participated: false
- team: 28
  event: Forensics
  participated: false
- team: 28
  event: Fossils
  participated: false
- team: 28
  event: Geologic Mapping
  participated: false
- team: 28
  event: Helicopter
  participated: false
- team: 28
  event: Materials Science
  participated: false
- team: 28
  event: Microbe Mission
  participated: false
- team: 28
  event: Optics
  participated: false
- team: 28
  event: Robot Tour
  participated: false
- team: 28
  event: Tower
  place: 3
- team: 28
  event: Wind Power
  participated: false
- team: 28
  event: Write It Do It
  place: 10
Penalties:
- team: 29
  points: 0
- team: 27
  points: 0
- team: 17
  points: 5
- team: 25
  points: 0
- team: 20
  points: 0
- team: 4
  points: 5
- team: 30
  points: 0
- team: 18
  points: 5
- team: 14
  points: 0
- team: 21
  points: 0
- team: 26
  points: 0
- team: 28
  points: 0
